> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Presence

> Send Presence (typing...)



## OpenAPI

````yaml openapi-v2 POST /chat/sendPresence/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /chat/sendPresence/{instance}:
    post:
      tags:
        - Chat Controller
      summary: Send Presence
      description: Send Presence (typing...)
      operationId: sendPresence
      parameters:
        - name: instance
          in: path
          required: true
          description: Name of the instance
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - number
                - options
              properties:
                number:
                  type: string
                  description: Receiver phone number with country code
                options:
                  type: object
                  required:
                    - delay
                    - presence
                    - number
                  properties:
                    delay:
                      type: integer
                      description: Presence display time in milliseconds
                    presence:
                      type: string
                      description: Presence type
                      enum:
                        - composing
                        - recording
                    number:
                      type: string
                      description: Number contact
      responses:
        '201':
          description: Created
          content: {}
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````